{{- if .Values.vcl }}
apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ include "varnish.fullname" . }}
  labels:
    {{- include "varnish.labels" . | nindent 4 }}
data:
{{- if .Values.vcl }}
{{- range $filename, $fileContent := .Values.vcl }}
  {{ $filename }}:{{- toYaml $fileContent | indent 2 }}
{{- end }}
{{- end }}
{{- if .Values.vclFiles }}
{{- range $filename, $fileContent := .Values.vcl }}
  {{ $filename }}:{{- toYaml $fileContent | indent 2 }}
{{- end }}
{{- end }}
{{- end }}